bossbar add e_guardian "\"Elder Guardian\""
bossbar set minecraft:e_guardian max 110
bossbar set minecraft:e_guardian color white
bossbar set minecraft:e_guardian name {"text":"Elder Guardian","color":"white"}
bossbar set minecraft:e_guardian style notched_12
bossbar set minecraft:e_guardian players @a
team empty guardians
team modify guardians color aqua
kill @e[tag=rotate]
kill @e[tag=countdown]
scoreboard objectives remove rotation
scoreboard objectives remove countdown
scoreboard objectives add eg_spawns dummy
scoreboard objectives add boss_health dummy
scoreboard objectives add eg_projectiles dummy
scoreboard objectives add pickaxe minecraft.mined:minecraft.prismarine_bricks
execute as @e[tag=eg_boss] run data merge entity @s {NoAI:0,ActiveEffects:[{Id:14b,Amplifier:0b,Duration:1}]}
summon minecraft:guardian 109 66 32 {Silent:1,Health:20.0f,Attributes:[{Name:generic.max_health,Base:20}],Team:"guardians",PersistenceRequired:1,NoAI:1,Tags:["n_guardian"],DeathLootTable:"fortress:pyramid/custom_loot/spawn_guardian"}
summon minecraft:guardian 109 66 86 {Silent:1,Health:20.0f,Attributes:[{Name:generic.max_health,Base:20}],Team:"guardians",PersistenceRequired:1,NoAI:1,Rotation:[180f,0f],Tags:["s_guardian"],DeathLootTable:"fortress:pyramid/custom_loot/spawn_guardian"}
summon minecraft:armor_stand 114 64 32 {Invulnerable:1,Tags:["spawns"]}
summon minecraft:armor_stand 118 64 32 {Invulnerable:1,Tags:["boss_health"]}
particle minecraft:explosion_emitter 109 75 59 0.1 0.1 0.1 1 1
particle minecraft:elder_guardian ~ ~ ~ ~ ~ ~ 1 1
execute at @a run playsound minecraft:item.trident.thunder ambient @a ~ ~ ~ 40 0
execute at @a run playsound minecraft:entity.elder_guardian.curse ambient @a ~ ~ ~ 50 1
playsound minecraft:music_disc.mellohi ambient @a 109 71 59 200 1
setblock 114 64 31 minecraft:repeating_command_block[facing=up]{Command:"/execute store result bossbar minecraft:e_guardian value run data get entity @e[type=elder_guardian,limit=1] Health",auto:1b} replace
setblock 115 64 31 minecraft:repeating_command_block[facing=up]{Command:"/tp @e[tag=eg_boss] 109 74 59",auto:1b} replace
setblock 116 64 31 minecraft:repeating_command_block[facing=up]{Command:"/execute as @e[tag=spawns] run scoreboard players add @s eg_spawns 1",auto:1b} replace
setblock 117 64 31 minecraft:repeating_command_block[facing=up]{Command:"/execute if score @e[tag=spawns,limit=1] eg_spawns matches 140 run function fortress:commands/t_eg_support1",auto:1b} replace
setblock 119 64 31 minecraft:repeating_command_block[facing=up]{Command:"/execute store result score @e[tag=boss_health] boss_health run data get entity @e[tag=eg_boss,limit=1] Health",auto:1b} replace
setblock 119 64 33 minecraft:repeating_command_block[facing=up]{Command:"/particle minecraft:end_rod 109 71 59 0.1 1.3 0.1 0 5",auto:1b} replace
setblock 120 64 33 minecraft:repeating_command_block[facing=up]{Command:"/execute as @e[type=minecraft:item,nbt={Item:{id:\"minecraft:prismarine_bricks\",Count:1b}}] run data merge entity @s {Item:{tag:{CanPlaceOn:[\"minecraft:prismarine\",\"minecraft:dark_prismarine\",\"minecraft:prismarine_bricks\"]}},Glowing:1,Age:-32768}",auto:1b} replace
setblock 118 64 34 minecraft:repeating_command_block[facing=down]{Command:"/execute as @e[tag=e_projectile] run scoreboard players add @s eg_projectiles 1",auto:1b} replace
setblock 119 64 34 minecraft:repeating_command_block[facing=down]{Command:"/execute if score @e[tag=e_projectile,limit=1] eg_projectiles matches 200 run function fortress:commands/t_eg_projectile",auto:1b} replace
setblock 120 64 34 minecraft:repeating_command_block[facing=down]{Command:"/execute if score @e[tag=e_projectile,limit=1] eg_projectiles matches 201 run scoreboard players set @e[tag=e_projectile,limit=1] eg_projectiles 0",auto:1b} replace
setblock 122 64 34 minecraft:repeating_command_block[facing=up]{Command:"/execute if score @p pickaxe matches 1 run data merge block 109 65 31 {Lock:\"pickaxe_curse\"}",auto:1b} replace
setblock 122 65 34 minecraft:chain_command_block[conditional=true,facing=up]{Command:"/scoreboard objectives remove pickaxe",auto:1b} replace
setblock 122 66 34 minecraft:chain_command_block[conditional=true,facing=up]{Command:"/fill 122 64 34 122 66 34 minecraft:bricks",auto:1b} replace
setblock 110 71 35 minecraft:repeating_command_block[facing=up]{Command:"/fill 108 66 58 110 68 60 minecraft:water replace minecraft:prismarine_bricks",auto:1b} replace
setblock 110 72 35 minecraft:chain_command_block[conditional=true,facing=up]{Command:"/give @p minecraft:prismarine_bricks{CanPlaceOn:[\"minecraft:prismarine\",\"minecraft:dark_prismarine\",\"minecraft:prismarine_bricks\"]} 1",auto:1b} replace
setblock 123 66 38 minecraft:repeating_command_block[facing=up]{Command:"/effect clear @a minecraft:mining_fatigue",auto:1b} replace
setblock 124 66 38 minecraft:repeating_command_block[facing=up]{Command:"/effect clear @a minecraft:levitation",auto:1b} replace
setblock 120 64 28 minecraft:repeating_command_block[facing=up]{Command:"/tp @e[type=item,nbt={Item:{id:\"minecraft:prismarine_bricks\",Count:1b}}] @p",auto:1b} replace
setblock 74 68 88 minecraft:repeating_command_block[facing=up]{Command:"/execute positioned 74 69 88 run execute if entity @p[distance=..4] run tp @p 92 70 59",auto:1b} replace
fill 114 64 33 116 64 33 minecraft:bricks
fill 114 64 34 117 66 34 minecraft:bricks
fill 118 65 34 118 66 34 minecraft:bricks
fill 104 89 62 104 90 62 minecraft:bricks
fill 108 89 57 108 91 57 minecraft:air
fill 110 89 57 110 91 57 minecraft:air
fill 108 89 61 108 91 61 minecraft:air
fill 110 89 61 110 91 61 minecraft:air
fill 111 89 58 111 91 58 minecraft:air
fill 111 89 60 111 91 60 minecraft:air
clear @a minecraft:wooden_pickaxe
tellraw @a ["",{"text":"["},{"text":"???","color":"blue"},{"text":"] What are you going to do now?"}]
kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:wooden_pickaxe"}}]
kill @e[tag=breathing]