gamemode survival @a
gamerule keepInventory false
gamerule doMobSpawning true
gamerule doTraderSpawning true
gamerule doPatrolSpawning true
gamerule doImmediateRespawn false
gamerule reducedDebugInfo false
gamerule doLimitedCrafting false
gamerule disableRaids false
effect clear @a minecraft:bad_omen
execute as @e[tag=choice] run data merge entity @s {NoAI:0,Silent:0,Attributes:[{Name:generic.max_health,Base:20}],Health:20.0f}
execute as @e[type=minecraft:snow_golem] run data merge entity @s {NoAI:0,Silent:0,Invulnerable:0,Health:400.0f,Attributes:[{Name:generic.max_health,Base:400}]}
execute as @e[type=minecraft:shulker] run data merge entity @s {Silent:0}
execute as @e[type=minecraft:item_frame] run data merge entity @s {Invulnerable:0,Fixed:0}
execute as @e[type=minecraft:cod] run data merge entity @s {Invulnerable:0}
execute as @e[type=minecraft:salmon] run data merge entity @s {Invulnerable:0}
execute as @e[type=minecraft:pufferfish] run data merge entity @s {Invulnerable:0}
execute as @e[type=minecraft:dolphin] run data merge entity @s {Invulnerable:0}
execute as @e[type=minecraft:armor_stand] run data merge entity @s {DisabledSlots:0,Invulnerable:0}
scoreboard objectives add t_end dummy
team add shulker
team modify shulker friendlyFire false
team join shulker @a
team join shulker @e[type=minecraft:shulker]
title @a title {"text":"The end?","color":"blue"}
title @a subtitle {"text":" ","color":"green"}
spawnpoint @a 74 70 88
worldborder center 0 0
worldborder set 60000000
worldborder warning distance 5
setblock 75 120 87 minecraft:air
setblock 85 120 87 minecraft:air
setblock 75 115 90 minecraft:bricks
setblock 80 64 88 minecraft:bricks
setblock 64 107 78 minecraft:bricks
setblock 84 115 90 minecraft:bricks
setblock 83 118 93 minecraft:ladder[facing=north]
setblock 106 100 86 minecraft:bee_nest[facing=north,honey_level=1]{Bees:[{EntityData:{id:"minecraft:bee"}},{EntityData:{id:"minecraft:bee"}},{EntityData:{id:"minecraft:bee"}}]} replace
setblock 80 112 79 minecraft:repeating_command_block[facing=up]{Command:"/execute if score @p t_end matches 140 run tellraw @a {\"text\":\"Congratulations! You've completed all of the challenges and defeated the Illusioner! While this is the end of the main story you're now free to explore the surroundings or try to survive utilizing the items stored inside the pyramid.\",\"color\":\"green\"}",auto:1b} replace
setblock 80 113 79 minecraft:chain_command_block[conditional=true,facing=up]{Command:"/tellraw @a {\"text\":\"Thank you for playing! :)\",\"bold\":true,\"underlined\":true,\"color\":\"green\"}",auto:1b} replace
setblock 80 114 79 minecraft:chain_command_block[conditional=true,facing=up]{Command:"/scoreboard objectives remove t_end",auto:1b} replace
setblock 80 115 79 minecraft:chain_command_block[conditional=true,facing=up]{Command:"/fill 80 112 79 81 115 79 minecraft:bricks",auto:1b} replace
fill 80 116 86 80 117 86 minecraft:air
fill 76 120 87 84 122 87 minecraft:air
fill 68 112 79 75 112 79 minecraft:bricks
fill 65 103 75 65 105 77 minecraft:air replace minecraft:barrier
fill 80 88 59 85 88 71 minecraft:ice
fill 85 90 61 85 91 61 minecraft:air
kill @e[tag=eye_frame]
kill @e[tag=slime_frame]
kill @e[type=minecraft:creeper]
setblock 64 107 76 minecraft:bricks
fill 41 76 91 41 77 91 minecraft:air
fill 25 70 33 25 70 35 minecraft:bricks
fill 52 66 33 54 66 33 minecraft:bricks
fill 26 66 45 28 67 46 minecraft:bricks
fill 46 83 81 46 85 83 minecraft:bricks
fill 71 64 46 73 64 46 minecraft:bricks
fill 58 70 60 58 70 62 minecraft:bricks
fill 80 69 88 80 73 88 minecraft:air
fill 55 88 91 55 92 91 minecraft:air
fill 73 81 49 73 85 49 minecraft:air
data merge block 108 83 85 {Lock:""}
data merge block 111 83 85 {Lock:""}
data merge block 110 67 146 {Lock:""}
data merge block 129 73 85 {Lock:""}
data merge block 129 73 91 {Lock:""}
data merge block 127 73 88 {Lock:""}
data merge block 128 71 94 {Lock:""}
data merge block 129 71 94 {Lock:""}
data merge block 130 71 94 {Lock:""}
data merge block 65 76 42 {Lock:""}
data merge block 127 67 115 {Lock:""}
data merge block 118 81 117 {Lock:""}
data merge block 122 81 117 {Lock:""}